Skip to main content
GET
/
projects
/
{project_id}
/
content
/
{id}
/
analytics
Content analytics
curl --request GET \
  --url https://api.beyondwords.io/v1/projects/{project_id}/content/{id}/analytics \
  --header 'X-Api-Key: <api-key>'
[
  {
    "start": "2023-11-07T05:31:56Z",
    "player_impressions": {
      "total": 123,
      "desktop": 123,
      "tablet": 123,
      "mobile_web": 123,
      "ios": 123,
      "android": 123
    },
    "listens": {
      "total": 123,
      "desktop": 123,
      "tablet": 123,
      "mobile_web": 123,
      "ios": 123,
      "android": 123
    },
    "listen_rate": {
      "total": 123,
      "desktop": 123,
      "tablet": 123,
      "mobile_web": 123,
      "ios": 123,
      "android": 123
    },
    "unique_listeners": {
      "total": 123,
      "desktop": 123,
      "tablet": 123,
      "mobile_web": 123,
      "ios": 123,
      "android": 123
    },
    "avg_listen_time": {
      "total": 123,
      "desktop": 123,
      "tablet": 123,
      "mobile_web": 123,
      "ios": 123,
      "android": 123
    },
    "avg_listen_duration": {
      "total": 123,
      "desktop": 123,
      "tablet": 123,
      "mobile_web": 123,
      "ios": 123,
      "android": 123
    },
    "listen_time": {
      "total": 123,
      "desktop": 123,
      "tablet": 123,
      "mobile_web": 123,
      "ios": 123,
      "android": 123
    },
    "listener_retention": {
      "total": [
        123
      ],
      "desktop": [
        123
      ],
      "tablet": [
        123
      ],
      "mobile_web": [
        123
      ],
      "ios": [
        123
      ],
      "android": [
        123
      ]
    }
  }
]

Authorizations

X-Api-Key
string
header
required

Path Parameters

project_id
string
required

The numeric ID of your project

id
string
required

The content item's identifier, one of: UUID, source ID, legacy ID

Query Parameters

aggregation
enum<string>
The way to aggregate the analytics. Possible values are all (aggregate all data together),
year (aggregate data on a yearly basis), month (aggregate data on a yearly basis),
week (aggregate data on a yearly basis), day (aggregate data on a yearly basis), or hour
(aggregate data on an hourly basis, limited to a time_range 7 days or less).
Available options:
all,
hour,
day,
week,
month,
year
time_range[start]
string

The start date of the aggregation period. The value of this property should be a string in the format yyyy-mm-dd according to ISO 8601.

time_range[end]
string

The end date of the aggregation period. The value of this property should be a string in the format yyyy-mm-dd according to ISO 8601.

metrics[]
string[]

The metrics that you want to fetch data for

media_variants[]
enum<string>[]

The media variants to fetch data for

Available options:
article,
summary
media_formats[]
enum<string>[]

The media formats to fetch data for

Available options:
audio,
video

Response

200 - application/json

OK

start
string<date-time>

The start date of the aggregation period (ISO 8601).

player_impressions
object
listens
object
listen_rate
object
unique_listeners
object
avg_listen_time
object
avg_listen_duration
object
listen_time
object
listener_retention
object